/***************************************************************************
                               caliasfilter.h
                             -------------------
    begin                : Mon Jul 29 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALIASFILTER_H
#define CALIASFILTER_H

// Qt includes
#include <qobject.h>

// Kmud includes
#include <kmudfilter.h>

// forward declarations
class KmudAPI;
class CAliasResolver;

/** A KmudFilter that resolves aliases.
  * @author Kmud Developer Team
  */

class CAliasFilter : public QObject, public KmudFilter {
	Q_OBJECT
public: 
	CAliasFilter(KmudAPI* api);
	~CAliasFilter();

	QString filterInput(QString&);

protected:
	KmudAPI* m_kmudAPI;
	CAliasResolver* m_resolver;
	QString m_profile;

protected slots:
	void slotProfileChanged();

	void slotProfileDataChanged(const QString& profile, uint type);
};

#endif

// end of file
