/***************************************************************************
                          caliasitem.h  -  description
                             -------------------
    begin                : Mon Jul 29 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALIASITEM_H
#define CALIASITEM_H

// local includes
#include "cprofileitem.h"
#include "caliasresolver.h"

// forward declaration
class QString;

/** Base class for alias and aliasgroup.
  * Combines the two interfaces alias items have to implement.
  */

class CAliasItem : public CProfileItem, public CAliasResolver {
public:
	enum Type { Alias, Group };

	CAliasItem() : CProfileItem(), CAliasResolver() {};

	CAliasItem(const QString& name) : CProfileItem(name), CAliasResolver() {};

	CAliasItem(const CAliasItem& item) : CProfileItem(item), CAliasResolver() {};

	virtual ~CAliasItem() {};

	inline CAliasItem& operator=(const CAliasItem& item) {
		if (&item != this) {
			CProfileItem::operator=(item);
		}

		return *this;
	}

	virtual inline Type type() const =0;
};

#endif

// end of file
