/***************************************************************************
                               cansiinterpreter.h
                             -------------------
    begin                : Tue Apr 30 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CANSIINTERPRETER_H
#define CANSIINTERPRETER_H

class ANSI
{
public:
	static const char ESC = '\x1B';

	enum TextAttr {
		NORMAL    = 0,
		BOLD      = 1,
		DIM       = 2,  // half bright
		UNDERLINE = 4,
		BLINK     = 5,
		REVERSE   = 7,
		HIDDEN    = 8
	};

	enum Color {
		BLACK   = 0,
		WHITE   = 1,
		RED     = 2,
		GREEN   = 3,
		BLUE    = 4,
		YELLOW  = 5,
		MAGENTA = 6,
		CYAN    = 7
	};
};

/**Base class for the "builder" of the ANSI parsing class pair
  *@author Kmud Developer Team
  */
class CANSIInterpreter
{
public:
	CANSIInterpreter();
	virtual ~CANSIInterpreter();

	// callbacks
	virtual void inputText(const QString& text);
	virtual void inputTextColor(ANSI::Color color);
	virtual void inputBackColor(ANSI::Color color);
	virtual void inputTextAttribute(ANSI::TextAttr attribute);
};

#endif
