/***************************************************************************
                          dlgconnectionwizard.h  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGCONNECTIONWIZARD_H
#define DLGCONNECTIONWIZARD_H

// Kmud includes
#include "dlgconnectionwizardbase.h"

// forward declarations
class ProfileAPI;
class KConfigBase;

/**Used to connect to a mud and manage the profiles
  *@author KMud Development Team
  */

class DlgConnectionWizard : public DlgConnectionWizardBase
{
   Q_OBJECT
public:
	static const int CANCEL   = 0;
	static const int OK       = 1;
	static const int ACTIVATE = 2;

	DlgConnectionWizard(ProfileAPI* profileAPI, QWidget *parent=0, const char *name=0);
	~DlgConnectionWizard();

	inline QString selectedMudProfile() const {
		return m_selectedMudProfile;
	}

	inline QString selectedCharProfile() const {
		return m_selectedCharProfile;
	}

	void saveProfileList(KConfigBase* config, const QString& group);
	void loadProfileList(KConfigBase* config, const QString& group);

protected:
	static const uint ITEM_OPEN     = 1;
	static const uint ITEM_SELECTED = 2;

	ProfileAPI * m_profileAPI;
	QString m_selectedMudProfile;
	QString m_selectedCharProfile;

protected:
	bool loadMudProfileData(const QString& mudProfile);
	void saveMudProfileData(const QString& mudProfile);

	bool loadCharProfileData(const QString& charProfile);
	void saveCharProfileData(const QString& charProfile);

protected slots:
	void accept();
	void reject();
	void slotActivateProfile();

	void slotAddProfile();
	void slotRemoveProfile();
	void slotSelectionChanged();

	void slotApplyData();
	void slotResetData();
	void slotDataChanged();

	void slotConnectListView();
};

#endif
