/***************************************************************************
                               dlgoptionecho.cpp
                             -------------------
    begin                : Fri Aug 2 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgoptionecho.h"

#include "dlgoptionechobase.h"

#include "../kmudconfigcache.h"

#include <qradiobutton.h>
#include <qcheckbox.h>

DlgOptionEcho::DlgOptionEcho(KmudConfigCache *data,QString group,QWidget *parent, const char *name ) : KmudSetupPane(KmudSetupPane::GLOBAL,group,parent,name)
{
	m_data = data;
	addBaseDialog(new DlgOptionEchoBase(this,name));

	DlgOptionEchoBase *baseDlg = static_cast<DlgOptionEchoBase*>(getBaseDialog());
	switch (m_data->inputEcho)
	{
		case KmudConfigCache::Auto : baseDlg->m_optInputAuto->setChecked(true); break;
		case KmudConfigCache::On : baseDlg->m_optInputOn->setChecked(true); break;
		case KmudConfigCache::Off : baseDlg->m_optInputOff->setChecked(true);break;
	}

	switch (m_data->localEcho)
	{
		case KmudConfigCache::Auto : baseDlg->m_optLocalAuto->setChecked(true); break;
		case KmudConfigCache::On : baseDlg->m_optLocalOn->setChecked(true); break;
		case KmudConfigCache::Off : baseDlg->m_optLocalOff->setChecked(true);break;
	}

	baseDlg->m_chkSuppress->setChecked(m_data->suppressNewLine);
}

DlgOptionEcho::~DlgOptionEcho()
{
}

/** This slot is called when the delfault/reset button is pressed */
void DlgOptionEcho::slotDefaultPressed()
{
	DlgOptionEchoBase *baseDlg = static_cast<DlgOptionEchoBase*>(getBaseDialog());
	baseDlg->m_optInputAuto->setChecked(true);
	baseDlg->m_optLocalAuto->setChecked(true);
	baseDlg->m_chkSuppress->setChecked(false);
}

/** This slot is called when the cancel button is pressed */
void DlgOptionEcho::slotCancelPressed()
{
}

/** This slot is called when the OK button is pressed */
void DlgOptionEcho::slotOkPressed()
{
	DlgOptionEchoBase *baseDlg = static_cast<DlgOptionEchoBase*>(getBaseDialog());
  if (baseDlg->m_optLocalAuto->isChecked())
	{
		m_data->localEcho = KmudConfigCache::Auto;
	}
	else if (baseDlg->m_optLocalOn->isChecked())
	{
		m_data->localEcho = KmudConfigCache::On;
	}
	else if (baseDlg->m_optLocalOff->isChecked())
	{
		m_data->localEcho = KmudConfigCache::Off;
	}

    if (baseDlg->m_optInputAuto->isChecked())
	{
		m_data->inputEcho = KmudConfigCache::Auto;
	}
	else if (baseDlg->m_optInputOn->isChecked())
	{
		m_data->inputEcho = KmudConfigCache::On;
	}
	else if (baseDlg->m_optInputOff->isChecked())
	{
		m_data->inputEcho = KmudConfigCache::Off;
	}

	m_data->suppressNewLine = baseDlg->m_chkSuppress->isChecked();
}
