/***************************************************************************
                          dlgoptionfonts.h  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGOPTIONFONTS_H
#define DLGOPTIONFONTS_H

#include <qwidget.h>
#include <kmudsetuppane.h>
#include <qfont.h>

class DlgOptionsFontsBase;
class KmudConfigCache;

/**The font option dialog
  *@author KMud Development Team
  */

class DlgOptionFonts : public KmudSetupPane
{
   Q_OBJECT
public: 
	DlgOptionFonts(KmudConfigCache *data,QString group,QWidget *parent, const char *name);
	~DlgOptionFonts();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

protected slots:
    void slotInputFontButtonPressed();
    void slotOutputFontButtonPressed();

private:
	QFont m_inputFont;
	QFont m_outputFont;
	KmudConfigCache *m_data;
};

#endif
