/***************************************************************************
                               kmudsetuppane.cpp
                             -------------------
    begin                : Wed Jun 26 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmudsetuppane.h"
#include "kmuddebug.h"

#include <qlayout.h>

/**
 * The constructor used to create the pane of a given type
 * @param type The type of settings this pane will alter
 */
KmudSetupPane::KmudSetupPane(PaneType type,QString group,QWidget *parent, const char *name ) : QWidget(parent,name)
{
	m_type = type;
	m_group = group;
}

KmudSetupPane::~KmudSetupPane()
{
}

/** This is used to get the pane type
  * @return The type of pane */
KmudSetupPane::PaneType KmudSetupPane::getPaneType()
{
	return m_type;
}

/** This is used to add the base dialog class to the setup pane */
void KmudSetupPane::addBaseDialog(QWidget *widget)
{
	QGridLayout *grid = new QGridLayout(this,1,1);
	m_baseDlg = widget;
	grid->addWidget(widget,0,0);
}

/** This is used to get the base dialog pointer, this is for accessing
  * the components of the dialog */
QWidget *KmudSetupPane::getBaseDialog(void)
{
	return m_baseDlg;
}

/** This is used to get the group that the pane belongs to */
QString KmudSetupPane::getGroup(void)
{
	return m_group;
}





