/***************************************************************************
                               dlgmapcolor.h
                             -------------------
    begin                : Tue Jul 9 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGMAPCOLOR_H
#define DLGMAPCOLOR_H

#include <kmudsetuppane.h>


class CMapManager;
class DlgMapColorBase;

/**
  *@author Kmud Developer Team
  */

class DlgMapColor : public KmudSetupPane
{
   Q_OBJECT
public: 
	DlgMapColor(CMapManager *mapManager,QString group,QWidget *parent, const char *name);
	~DlgMapColor();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

private:
	/** This method will load the color values */
	void loadColors();

private:
	/** A pointer to the map manager */
	CMapManager *m_mapManager;
};

#endif
