/***************************************************************************
                               dlgmapmovement.h
                             -------------------
    begin                : Tue Mar 18 2003
    copyright            : (C) 2003 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGMAPMOVEMENT_H
#define DLGMAPMOVEMENT_H

#include <kmudsetuppane.h>

class CMapManager;
class DlgMapMovementBase;

/**
  *@author Kmud Developer Team
  */

class DlgMapMovement : public KmudSetupPane
{
	Q_OBJECT
public: 
	DlgMapMovement(CMapManager *mapManager,QString group,QWidget *parent, const char *name);
	~DlgMapMovement();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

private slots:
	void slotValidCheckStateChanged(bool state);

	void slotAddClicked(void);
	void slotEditClicked(void);
	void slotRemoveClicked(void);
	
private:
	/** A pointer to the map manager */
	CMapManager *m_mapManager;
	
};

#endif
