/***************************************************************************
                               CMapMoveTrackerfactory.cpp
                             -------------------
    begin                : Tue May 1 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmapmovetrackerfactory.h"

#include <klocale.h>
#include <kstddirs.h>
#include <kinstance.h>
#include <kaboutdata.h>

#include <kmuddebug.h>

#include "../../cmapmanager.h"

#include "cmappluginmovetracker.h"

extern "C"
{
	void* init_libkmudmapper_movetracker()
	{
		return new CMapMoveTrackerFactory;
	}
};

KInstance* CMapMoveTrackerFactory::s_instance = 0L;
KAboutData* CMapMoveTrackerFactory::s_about = 0L;

CMapMoveTrackerFactory::CMapMoveTrackerFactory(QObject* parent, const char* name) : CMapPluginFactory( parent, name )
{
}

CMapMoveTrackerFactory::~CMapMoveTrackerFactory()
{
	delete s_instance;
	s_instance = 0L;
	delete s_about;
}

KInstance* CMapMoveTrackerFactory::instance()
{
	if( !s_instance )
	{
		s_about = new KAboutData( "kmudmappermovetrackerplugin",I18N_NOOP( "KMudMapper Move Tracker Plugin" ), "1.0" );
		s_instance = new KInstance( s_about );
	}
	return s_instance;
}

CMapPluginBase *CMapMoveTrackerFactory::createPluginInstance(CMapManager* manager, QObject* parent)
{
	CMapPluginMoveTracker *plugin = new CMapPluginMoveTracker(manager,parent,"MoveTracker");

	emit objectCreated( plugin );

	return plugin;
}

