/***************************************************************************
                               cmapoverviewmanager.cpp
                             -------------------
    begin                : Tue Aug 7 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmapviewmovetrackermanager.h"

#include <kmudviewmanager.h>

#include "../../cmapviewbase.h"
#include "../../cmapmanager.h"
#include "../../cmaproom.h"

#include "cmapviewmovetracker.h"

#include <kmuddebug.h>

CMapViewMoveTrackerManager::CMapViewMoveTrackerManager(KActionCollection *actionCollection,CMapManager *manager,QObject *parent, const char *name )
	: CMapViewManagerBase(manager,KmudViewManager::DockBottom,"viewMoveTracker",i18n("Show Move Tracker"),actionCollection,parent,name)
{
	m_viewMoveTracker = NULL;
	m_mapManager = manager;
}

CMapViewMoveTrackerManager::~CMapViewMoveTrackerManager()
{
}

/** This is called when a new view is opened */
void CMapViewMoveTrackerManager::slotNewViewOpened(CMapViewBase *)
{
}

/** This slot is called when the overview is cloed */
void CMapViewMoveTrackerManager::slotViewClosed(CMapViewBase *)
{
	m_viewMoveTracker = NULL;
}

/** This is called when the view is to be opended */
void CMapViewMoveTrackerManager::slotRequestNewView()
{
	// Is the overview closed
	if (m_viewMoveTracker == NULL)
	{
		// Create the overview and show it
		m_viewMoveTracker = new CMapViewMoveTracker(mapManager,NULL,"mapOverview");
		connect(this,SIGNAL(newViewOpened(CMapViewBase *)),SLOT(slotNewViewOpened(CMapViewBase *)));
		connect(m_viewMoveTracker,SIGNAL(viewClosed(CMapViewBase *)),SLOT(slotViewClosed(CMapViewBase *)));
	
		CMapRoom *currentRoom = m_mapManager->getCurrentRoom();
		if (currentRoom)
		{
			kdDebug(DAREA_PARTS_MAPPERPLUGIN) << "Here 1"  << endl;
			m_viewMoveTracker->showPosition(QPoint(currentRoom->getX(),currentRoom->getY()),currentRoom->getLevel());
		}
		else
		{
			kdDebug(DAREA_PARTS_MAPPERPLUGIN) << "Here 2"  << endl;
			CMapRoom *loginRoom = m_mapManager->getLoginRoom();
			if (loginRoom)
			{
				kdDebug(DAREA_PARTS_MAPPERPLUGIN) << "Here 3"  << endl;
				m_viewMoveTracker->showPosition(QPoint(loginRoom->getX(),loginRoom->getY()),loginRoom->getLevel());
			}
			else
			{
				kdDebug(DAREA_PARTS_MAPPERPLUGIN) << "Here 4"  << endl;
				CMapRoom *firstRoom = m_mapManager->findFirstRoom(NULL);
				if (firstRoom)
				{
					kdDebug(DAREA_PARTS_MAPPERPLUGIN) << "Here 5"  << endl;
					((CMapViewBase *)m_viewMoveTracker)->showPosition(firstRoom->getLevel());
				}
			}
		}

    	showView(m_viewMoveTracker);
	}
}

