/***************************************************************************
                               CMapStandardfactory.cpp
                             -------------------
    begin                : Tue May 1 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmapstandardfactory.h"

#include <klocale.h>
#include <kstddirs.h>
#include <kinstance.h>
#include <kaboutdata.h>

#include <kmuddebug.h>

#include "../../cmapmanager.h"

#include "cmappluginstandard.h"

extern "C"
{
	void* init_libkmudmapper_standard()
	{
		return new CMapStandardFactory;
	}
};

KInstance* CMapStandardFactory::s_instance = 0L;
KAboutData* CMapStandardFactory::s_about = 0L;

CMapStandardFactory::CMapStandardFactory(QObject* parent, const char* name) : CMapPluginFactory( parent, name )
{
}

CMapStandardFactory::~CMapStandardFactory()
{
	delete s_instance;
	s_instance = 0L;
	delete s_about;
}

KInstance* CMapStandardFactory::instance()
{
	if( !s_instance )
	{
		s_about = new KAboutData( "kmudmapperstandardplugin",I18N_NOOP( "KMudMapper Standard tools & Views" ), "1.0" );
		s_instance = new KInstance( s_about );
	}
	return s_instance;
}

CMapPluginBase *CMapStandardFactory::createPluginInstance(CMapManager* manager, QObject* parent)
{
	CMapPluginStandard *plugin = new CMapPluginStandard(manager,parent,"Standard");
	
	emit objectCreated( plugin );
	
	return plugin;
}

