/***************************************************************************
                               cmapoverviewmanager.cpp
                             -------------------
    begin                : Tue Aug 7 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmapoverviewmanager.h"

#include <kmudviewmanager.h>

#include "../../../cmapviewbase.h"
#include "../../../cmapmanager.h"

#include "cmapoverview.h"

#include <kmuddebug.h>

CMapOverviewManager::CMapOverviewManager(KActionCollection *actionCollection,CMapManager *manager,QObject *parent, const char *name )
	: CMapViewManagerBase(manager,KmudViewManager::DockBottom,"viewOverview",i18n("Show Overview"),actionCollection,parent,name)
{
	mapOverview = NULL;
}

CMapOverviewManager::~CMapOverviewManager()
{
}

/** This is called when a new view is opened */
void CMapOverviewManager::slotNewViewOpened(CMapViewBase *view)
{
	if (mapManager->getActiveView())
	{
		view->showPosition(mapManager->getActiveView()->getCurrentlyViewedLevel());
	}
}

/** This slot is called when the overview is cloed */
void CMapOverviewManager::slotViewClosed(CMapViewBase *)
{
	mapOverview = NULL;
}

/** This is called when the view is to be opended */
void CMapOverviewManager::slotRequestNewView()
{
	// Is the overview closed
	if (mapOverview == NULL)
	{
		// Create the overview and show it
		mapOverview = new CMapOverview(mapManager,NULL,"mapOverview");
		connect(this,SIGNAL(newViewOpened(CMapViewBase *)),SLOT(slotNewViewOpened(CMapViewBase *)));
		connect(mapOverview,SIGNAL(viewClosed(CMapViewBase *)),SLOT(slotViewClosed(CMapViewBase *)));
		showView(mapOverview);
	}


}

